
import javax.swing.*;

import se.datadosen.component.ControlPanel;
import se.datadosen.component.RiverLayout;

public class SkinGeneralSection extends SkinAbstractSection
{
	public SkinGeneralSection(SkinPanel ui)
	{
		super(new RiverLayout(0, 0), ui);

		add("p vtop hfill", getGeneralPanel());
	}

	private ControlPanel getGeneralPanel()
	{
		ControlPanel ccGeneral = createControlPanel("General", 5, 3);

		ccGeneral.add(ui.includeKeyboardSupport);
		ccGeneral.add("tab", ui.includeSaveProtection);
		ccGeneral.add("br", ui.includeFirstLastPageActions);
		ccGeneral.add("tab", ui.includeJumpToPageAction);
		ccGeneral.add("br", ui.chooseRandomIconForFolder);
		ccGeneral.add("tab", ui.includeNavigationHelpTips);
		ccGeneral.add("br", new JLabel("Navigation Bar Location"));
		ccGeneral.add(ui.navigationBarVerticalLocation);
		ccGeneral.add("tab", new JLabel("Context Help Style"));
		ccGeneral.add(ui.contextHelpStyle);
		ccGeneral.add("br", new JLabel("Icon Set"));
		ccGeneral.add(ui.iconSet);
		ccGeneral.add("tab", new JLabel("Language"));
		ccGeneral.add(ui.language);
		ccGeneral.add("br", new JLabel("Album Title"));
		ccGeneral.add("hfill", ui.title);
		ccGeneral.add("br", new JLabel("External HOME Path"));
		ccGeneral.add("hfill", ui.externalHomePath);
		ccGeneral.add("br", new JLabel("Copyright Message"));
		ccGeneral.add("hfill", ui.copyright);
		return ccGeneral;
	}
}
